Subject: Re: [PATCHv3 1/2] net: stmmac: Add SOCFPGA glue driver

From: Giuseppe CAVALLARO <[email-masked]>
Date: Wed, 26 Feb 2014 10:44:33 +0100

On 2/13/2014 5:33 AM, Dinh Nguyen wrote:
>
> On 2/12/14 6:35 PM, David Miller wrote:
>> From: <[email-masked]>
>> Date: Mon, 10 Feb 2014 13:48:16 -0600
>>
>>> From: Dinh Nguyen <[email-masked]>
>>>
>>> Like the STi series SOCs, Altera's SOCFPGA also needs a glue layer on top of the
>>> Synopsys gmac IP.
>>>
>>> This patch adds the platform driver for the glue layer which configures the IP
>>> before the generic STMMAC driver takes over.
>>>
>>> Signed-off-by: Dinh Nguyen <[email-masked]>
>>> Cc: Giuseppe Cavallaro <[email-masked]>
>>> Cc: Rob Herring <[email-masked]>
>>> Cc: Pawel Moll <[email-masked]>
>>> Cc: Mark Rutland <[email-masked]>
>>> Cc: Ian Campbell <[email-masked]>
>>> Cc: Kumar Gala <[email-masked]>
>>> Cc: Vince Bridgers <[email-masked]>
>>> ---
>>> v3: Remove stray empty line at end of dwmac-socfpga.c.
>>> v2: Use the dwmac-sti as an example for a glue layer and split patch up
>>> to have dts as a separate patch. Also cc dts maintainers since there is
>>> a new binding.
>> The second patch for the DTS update doesn't apply cleanly at all to
>> mainline.
> Yes, I'm planning to take the DTS bindings patch through arm-soc/next-dt
> tree, so that is where patch 2 is based on.
>>
>> Why don't you push both of these patches through whatever tree that
>> file is maintained under.  You can add my ack:
> I'm not sure if Peppe has a tree, but it should go into his tree
> if there is one. If not, can you apply patch 1 to your tree?

Hello

I have not own tree but I am using net.git and net-next to do my patches
and experiments.

I ask you to keep these patches aligned to net-next.

Also I ask you to review the glue-layer that is not in-line with what
have been currently added for dwmac-sti and dwmac-sunxi.c.

BR
Peppe

>>
>> Acked-by: David S. Miller <[email-masked]>
> Thanks,
> Dinh
>